<?php
/*
Plugin Name: mnogoblogplugin
Plugin URI: http://mnogoblog.ru/sozdaem-prostoj-plagin-wordpress
Description: Преобразует в каждом слове заголовка первую букву из прописной в заглавную.
Version: 1.0
Author: Mnogoblog
Author URI: http://mnogoblog.ru
*/

function hello_dolly_get_lyric() {
	/** These are the lyrics to Hello Dolly */
$opt_name = 'mt_favorite_misli';
   $opt_val = get_option( $opt_name );

	$lyrics = "Не нужно много слов, чтобы сказать правду.
$opt_val";



	// Here we split it into lines
	$lyrics = explode( "\n", $lyrics );

	// And then randomly choose a line
	return wptexturize( $lyrics[ mt_rand( 0, count( $lyrics ) - 1 ) ] );
}

// This just echoes the chosen line, we'll position it later
function hello_dolly() {
	$chosen = hello_dolly_get_lyric();
	echo "<p id='dolly'>$chosen</p>";
}

// Now we set that function up to execute when the admin_notices action is called
add_action( 'wp_head', 'hello_dolly' );

// We need some CSS to position the paragraph
function dolly_css() {
	// This makes sure that the positioning is also good for right-to-left languages
	$x = is_rtl() ? 'left' : 'right';

	echo "
	<style type='text/css'>
	#dolly {
		padding-$x: 15px;
		padding-top: 5px;		
		margin: 0;
		font-size: 11px;
	}
	</style>
	";
}

add_action( 'wp_head', 'dolly_css' );
add_shortcode('privet', 'hello_dolly');

add_action( 'admin_menu', 'my_plugin_menu' );

/** Step 1. */
function my_plugin_menu() {
	add_options_page( 'Опции плагина мудрые мысли', 'Настройка плагина ММысли', 'manage_options', 'my-unique-identifier', 'my_plugin_options' );
}

/** Step 3. */
function my_plugin_options() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
	echo '<div class="wrap">';
	echo '<p>Здравствуйте, вы находитесь в настройках плагина "Мудрые мысли".</p>';
	echo '</div>';



    // variables for the field and option names 
    $opt_name = 'mt_favorite_misli';
    $hidden_field_name = 'mt_submit_hidden';
    $data_field_name = 'mt_favorite_misli';

    // Read in existing option value from database
    $opt_val = get_option( $opt_name );

    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    if( $_POST[ $hidden_field_name ] == 'Y' ) {
        // Read their posted value
        $opt_val = $_POST[ $data_field_name ];

        // Save the posted value in the database
        update_option( $opt_name, $opt_val );

// Read their posted value
        $opt_val2 = $_POST[ $data_field_name ];

        // Save the posted value in the database
        update_option( $opt_name2, $opt_val2 );

        // Put an options updated message on the screen

?>
<div class="updated"><p><strong><?php _e('Мысль сохранена.', 'mt_trans_domain' ); ?></strong></p></div>
<?php

    }

    // Now display the options editing screen

    echo '<div class="wrap">';

    // header

    echo "<h2>" . __( 'Настройки плагина', 'mt_trans_domain' ) . "</h2>";

    // options form
    
    ?>

<form name="form1" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">

<p><?php _e("Мудрая мысль:", 'mt_trans_domain' ); ?> 
<input type="text" name="<?php echo $data_field_name; ?>" value="<?php echo $opt_val; ?>" size="50">
</p><hr />

<p class="submit">
<input type="submit" name="Submit" value="<?php _e('Добавить', 'mt_trans_domain' ) ?>" />
</p>

</form>
</div>
<?php
}

?>